Display Ad Server
Serve ads in standard fixed-size ad units
Native Ad Server
Serve native ads on your web page or app
VAST Video Ad Server
Serve MP4 video ads as pre/mid/post-rolls
CTV Video Ad Server
Monetize your CTV channel
White Label Ad Server
Build your own ad server in hours
API Quickstart
Test the API in just minutes
Full API Docs
Automate your complete ad operations
Migration Assistance
Need help switching to AdGlare?
Management APIs
Automate your complete ad ops workflow
Realtime Reporting
Never miss an imporant KPI
Enterprise-grade Infrastructure
Engineered for speed, built for trust
Video Optimization
Built-in quality checks before going live
Feature Overview
See if we're a fit in minutes
Talk to Sales
Reach out to get started
Talk to Support
Get help with your ad server
Request a Demo
Get a free demo to see if we're a fit
Security / Compliance
GDPR / CCPA, cookie laws, ISO 27001
Terms of Service
AdGlare's terms and privacy policy
Network Status
Keep track of network uptime
Getting Started
API Overview

Campaign API
Campaigns
Creatives
GETList Creatives
POSTAdd Creative
PUTUpdate Creative
DELETEDelete Creative

Inventory API
Zones

Reporting API
API Overview
Real Time Reports
Data Shipping

Additional APIs
Advertisers
Workspaces
Folders
Audit Trails

Creatives

List Creatives

get
/campaigns/{id}/creatives

Path Parameters

id
int, required
The ID of the campaign.

Query Parameters

limit
int
The number of items returned in the response. Defaults to 100.
offset
int
The number of items to skip before starting to return results. Defaults to 0.
Example Request
curl "https://{yourname}.api.adglare.app/v2/campaigns/{id}/creatives"
  -H "Authorization: Bearer {api_key}"
HTTP 200 Example Response
{
    "items": [{
        "account_id_created": 123456789,
        "account_id_modified": 123456789,
        "ad_type": "video",
        "campaign_id": 862599431,
        "created": 1757664027,
        "creative_id": 210267475,
        "data": {
            "filehash": "abcde_s8w826w9.mp4",
            "height": 1080,
            "landing_page": "",
            "target_window": "_blank",
            "use_iframe": true,
            "width": 1920
        },
        "delivery": {
            "end": 0,
            "start": 1757664027
        },
        "event_counts": [],
        "is_active": true,
        "metadata": [],
        "modified": 1757664039,
        "name": "video.mp4",
        "targeting": [],
        "thumbnail": {
            "average_color": "#6f696e",
            "filehash": "abcde_fvg6dxwn.jpg"
        },
        "weight": 60
    }]
}

Get a single Creative

get
/campaigns/{id}/creatives/{id}

Path Parameters

id
int, required
The ID of the campaign.
id
int, required
The ID of the creative.
Example Request
curl "https://{yourname}.api.adglare.app/v2/campaigns/{id}/creatives/{id}"
  -H "Authorization: Bearer {api_key}"
HTTP 200 Example Response
{
    "account_id_created": 123456789,
    "account_id_modified": 123456789,
    "ad_type": "video",
    "campaign_id": 862599431,
    "created": 1757664027,
    "creative_id": 210267475,
    "data": {
        "filehash": "abcde_s8w826w9.mp4",
        "height": 1080,
        "landing_page": "",
        "target_window": "_blank",
        "use_iframe": true,
        "width": 1920
    },
    "delivery": {
        "end": 0,
        "start": 1757664027
    },
    "event_counts": [],
    "is_active": true,
    "metadata": [],
    "modified": 1757664039,
    "name": "video.mp4",
    "targeting": [],
    "thumbnail": {
        "average_color": "#6f696e",
        "filehash": "abcde_fvg6dxwn.jpg"
    },
    "weight": 60
}

Add a Creative

post
/campaigns/{id}/creatives

Path Parameters

id
int, required
The ID of the campaign.

Request Body (JSON)

name
string, required
The name of the campaign.
ad_type
string, required
The ad type. See the table here below.

List of ad types

For Display Ad campaigns:
  • image
  • code
  • video
  • zip
  • external
For Native Ad campaigns:
  • json
For VAST Video Ad campaigns:
  • video
  • url
  • wrapper
For Redirect Ad campaigns:
  • url
Example Request
curl "https://{yourname}.api.adglare.app/v2/campaigns/{id}/creatives"
  -X POST
  -H "Content-Type: application/json"
  -H "Authorization: Bearer {api_key}"
  -d '{
    "name": "My Creative",
    "ad_type": "image"
  }'
HTTP 201 Example Response
{
    "creative_id": 685576430
}

Update a Creative

put
/campaigns/{id}/creatives/{id}

Path Parameters

id
int, required
The ID of the campaign.
id
int, required
The ID of the creative.

Request Body (JSON)

name
string, required
The name of the creative.
is_active
boolean, required
True if the creative is active.
data
object, required
The schema of the data object depends on the creative's ad_type. See below.
data.alt_text
string
The alt text on the image.
data.filehash
string, required
The name of the media file.
data.target_window
string
The target window on clickthrough: _blank, _top, _self, _parent.
data.use_iframe
boolean
Writes the ad in an iframe.
data.width
int, required
The width of the image.
data.height
int, required
The height of the image.
data.landing_page
string
The landing page URL.
data.ad_verification_code
string
Any 3p ad verification code that has to be executed when loading the ad.
delivery
object
The delivery object.
delivery.end
int
The end date/time as a UNIX timestamp. Leave blank to run infinitely.
delivery.start
int, required
The start date/time as a UNIX timestamp.
targeting
object
The targeting object.
targeting.devices
array
Either: desktop, tablet, mobile
targeting.geo
object
The geotargeting object.
targeting.geo.type
string, required
Either: include, exclude
targeting.geo.locations
object, required
The geotargeting locations object.
targeting.geo.locations.countries
array
An array with 2-letter country codes, uppercased.
targeting.languages
object
An array with 2-letter country codes.
targeting.languages.type
string, required
Either: include, exclude
targeting.languages.items
array, required
An array with 2-letter language codes, lowercased.
targeting.keywords
array
The keyword targeting array. Each subarray is an AND.
targeting.keywords[]
array, required
An array with keywords. Each keyword is an OR.
targeting.keyvalues
array
The key/value targeting array.
targeting.keyvalues[]
array, required
Each object inside is an AND.
targeting.keyvalues[][]
object, required
A key/value targeting object.
targeting.keyvalues[][].key
string, required
The key name of your key/value pair.
targeting.keyvalues[][].operator
string, required
The operator that has to be used.
targeting.keyvalues[][].value
string, required
The value of your key/value pair.
Example Request
curl "https://{yourname}.api.adglare.app/v2/campaigns/{id}/creatives/{id}"
  -X PUT
  -H "Content-Type: application/json"
  -H "Authorization: Bearer {api_key}"
  -d '{
    "name": "My Creative",
    "ad_type": "image",
    "is_active": true,
    "data": {
        "filehash": "abcde_5hvh6hpf.png",
        "width": 250,
        "height": 250,
        "alt_text": "",
        "use_iframe": true,
        "landing_page": "https://www.google.com",
        "ad_verification_code": ""
    },
    "delivery": {
        "start": 1770588000,
        "end": 0
    },
    "targeting": {
        "geo": {
            "locations": {
                "countries": ["FRA"]
            },
            "type": "include"
        },
        "languages": {
            "items": "fr",
            "type": "include"
        },
        "keywords": [["cars",
        "bikes"],
        ["red"]],
        "keyvalues": [[{
            "key": "car",
            "value": "audi",
            "operator": "="
        },
        {
            "key": "sales",
            "value": "100",
            "operator": ">"
        }]]
    }
  }'
HTTP 204 Example Response
{}

Delete a Creative

delete
/campaigns/{id}/creatives/{id}

Path Parameters

id
int, required
The ID of the campaign.
id
int, required
The ID of the creative.
Example Request
curl "https://{yourname}.api.adglare.app/v2/campaigns/{id}/creatives/{id}"
  -X DELETE
  -H "Authorization: Bearer {api_key}"
HTTP 204 Example Response
{}